<template>
  <div class="home">
    文本
  </div>
</template>

<script>

export default {
  name: 'Home',
  created(){
    this.connectWebsocket();
  },
  methods:{
    connectWebsocket() {
      let ws = new WebSocket('ws://localhost:2021');
      // 监听连接成功
      ws.onopen = () => {
          console.log('连接服务端WebSocket成功');
          ws.send(JSON.stringify('dd'));	// send 方法给服务端发送消息
      };

      // 监听服务端消息(接收消息)
      ws.onmessage = (msg) => {
          let message = msg.data;
          console.log('收到的消息：', message)
      };

      // 监听连接失败
      ws.onerror = () => {
          console.log('连接失败，正在重连...');
          this.connectWebsocket();
      };

      // 监听连接关闭
      ws.onclose = () => {
        console.log('连接关闭');
      };
    }
  }
}
</script>
